CentOS系统搭建Ruby On Rails平台

作者:计算机教程

介绍

本文系统CentOS6.5 x64

Ruby是一种动态编程语言,可以用于从简单的脚本到游戏和Web应用程序。它于1993年首次在日本发行,但在2005年被推广为服务器端Web开发语言。 Ruby旨在为初学者设计易于使用和有趣,但功能强大,可以创建复杂的系统。对初学者和有经验的开发人员来说,这是一个很好的选择。

Ruby On Rails是一个用Ruby语言写的开源Web框架,和J2EE,PHP等类似。Ruby On Rails是一个非常优美的Web开发框架,并且融入了敏捷开发的精髓:约定大于配置。你会发现,它真的是一个非常优美的框架!今天我们介绍如何在Centos下搭建Ruby On Rails开发环境。

尽管有很多方法可以在Ubuntu上安装Ruby,但最简单的方法是使用RVM,即Ruby Version Manager。它下载最新版本的Ruby,并安装所有必备库。

Tips:

在本教程中,您将通过命令行在本地Linux机器上设置一个Ruby编程环境。然后你将通过编写一个简单的Ruby程序来测试你的环境。

Ruby Version Manager,Ruby版本管理器,包括Ruby的版本管理和Gem库管理(gemset)。目前支持Ruby的大多数版本,有 1.8.7,1.9.1,1.9.2和Ruby Enterprise Editon,通过RVM可以很方便的在多个Ruby版本中快速切换。RVM同时 也支持JRuby。

本教程将明确涵盖Ubuntu 16.04的安装过程,但其一般对其他Debian Linux发行版本也都是适用的。

设 想当前工作在Ruby 1.9.2 Rails 3.0下,想体验最新的Rails 开发版,怎么办?Gemset就是为解决这个问题而设计的,它可 以为每个Ruby版本生成多个gemsets,各个gemset相互独立,这意味着你可以很方便的切换到某个gemset下去体验一个未正式发布的gem 版本,而不会破坏当前的工作环境,完毕后,再切回到工作的gemset下即可。

先决条件

大多的IDE也都很好的支持了RVM方面,可以自动识别RVM管理的Ruby版本和GemSet,方便你切换Ruby的解析环境。

您将需要安装Ubuntu 16.04的计算机,以及对该机器和互联网连接的管理访问。

CentOS 5.9上搭建Ruby on Rails 环境  http://www.linuxidc.com/Linux/2014-02/97340.htm

步骤1 - 使用终端

CentOS下配置Ruby on Rails并部署Redmine  http://www.linuxidc.com/Linux/2014-09/106955.htm

您将使用命令行安装Ruby。命令行是与计算机交互的非图形方式。您不必使用鼠标点击按钮,而是键入命令作为文本并接收基于文本的反馈。命令行(也称为外壳)可让您自动执行每天在计算机上执行的许多任务,并且是软件开发人员的重要工具。

Ruby on Rails 和 Laravel: 入门  http://www.linuxidc.com/Linux/2014-07/104431.htm

在Ubuntu 16.04中,您可以通过单击屏幕左上角的Ubuntu图标并在搜索栏中输入“terminal”,找到终端应用程序。单击终端应用程序图标将其打开。或者,您可以同时按下键盘上的CTRL,ALT和T键,以自动打开终端应用程序。

重要文章阅读:Ruby入门--Linux/Windows下的安装、代码开发及Rails实战 http://www.linuxidc.com/Linux/2014-04/100242.htm

现在你已经运行了终端,我们来安装RVM,我们将用它来安装Ruby及其所有的先决条件。

Ruby on rails初体验系列文章:

步骤2 - 安装RVM和Ruby

http://www.linuxidc.com/Linux/2014-04/100245.htm
http://www.linuxidc.com/Linux/2014-04/100246.htm
http://www.linuxidc.com/Linux/2014-04/100247.htm

RVM自动化您的Ubuntu系统上设置Ruby环境的过程。我们来安装它,所以我们可以用它来安装Ruby。

Ubuntu下搭建Ruby On Rails http://www.linuxidc.com/Linux/2012-06/61981.htm

使用RVM安装Ruby的最快方法是运行RVM网站上托管的安装脚本。

实测 Ubuntu 13.10 上搭建 Ruby on Rails http://www.linuxidc.com/Linux/2014-02/96399.htm

首先,使用gpg命令联系公钥服务器,并请求用于对每个RVM版本进行签名的RVM项目的密钥。这样可以验证您将下载的RVM版本的合法性。从您的主目录,执行以下命令:

Ruby on Rails 4 Tutorial 中文版 高清完整PDF http://www.linuxidc.com/Linux/2014-04/100253.htm

$gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB

1、创建普通帐号、查看当前环境环境文件;

我们将使用curl下载RVM安装脚本。 如果尚未安装curl,请先安装curl。

[root@master ~]# useradd -d /opt/Truby Truby
[root@master ~]# echo "Truby" |passwd --stdin Truby

$sudo apt-get install curl

nba买球 1

这将提示您输入密码来安装程序。 但是,当您输入密码时,您的密码不会显示在“终端”窗口中。 这是一个安全措施,是在命令行提示输入密码时会经常看到的。 即使您看不到它们,系统也会记录您的密码,所以输入密码后请按ENTER键,程序将会安装。

2、安装rvm源:

接下来,使用curl命令从项目的网站下载RVM安装脚本。 引导命令的反斜杠确保我们使用常规curl命令,而不是任何改变的别名版本。

[Truby@master ~]$ curl -L get.rvm.io | bash -s stable
[Truby@master ~]$ source ~/.profile
[Truby@master ~]$ source ~/.bash_profile

curl -sSL https://get.rvm.io -o rvm.sh

安装rvm后查看本地当前变化:

我们来看看与curl命令相关联的标志:

[Truby@master ~]$ ls -a
.  ..  .bash_history  .bash_logout  .bash_profile  .bashrc  .emacs  .gnome2  .gnupg  .mozilla  .pki  .profile  .rvm  .zlogin  .zshrc
[Truby@master ~]$ cd .rvm/
l[Truby@master .rvm]$ ls
archives  config  docs          examples  gems    help  installed.at  LICENSE  man      patchsets  RELEASE  scripts  tmp  VERSION
bin      contrib  environments  gem-cache  gemsets  hooks  lib          log      patches  README    rubies  src      user  wrappers

一旦下载,如果要在应用脚本之前审核脚本的内容,请运行:

使用下面命令对RVM自己进行升级
$ rvm update

less rvm.sh

rvm 相关命令:

使用箭头键滚动文件。 使用q键退出并返回到您的提示。

$ rvm info 
$ rvm info 1.9.2 
 
$ rvm list known 
$ rvm install 1.9.2        # 安装 ruby-1.9.2 
$ rvm install ree          # install Ruby Enterprise Edition (REE) 
 
$ rvm  ruby-1.8.7-p160    #切换1.8.7-p160为当前使用版本 
$ rvm 1.8.7-p160          #同上面命令一样rvm ruby-1.8.7-p160 
$ ruby -v                  #查看当前Ruby版本 
 
$ which ruby
 
$ rvm --default use 1.9.2  #设置1.9.2为默认版本 
 
$ rvm default              #通过default可以快速回到默认版本 
$ rvm list default        #查看当前版本设置信息 
$ rvm reset                #恢复系统默认设置   
 
$ rvm list                #列出已安装的Ruby版本 
 
$ rvm list rubies          #同上 
$ rvm list default        #显示默认Ruby版本信息 
$ rvm list known          #列出RVM所支持的所有Ruby版本的信息 
 
 
#为ree-187的Ruby版本创建一个别名叫:reed
$ rvm alias create reed ree-1.8.7-p2010.01   
 
 
$ rvm use reed            #通过别名迅速切换 
$ rvm alias delete reed    #删除别名 
$ rvm alias list          #查看所有的别名 
 
 
$ rvm remove ruby-1.9.2-p0 
 
$ rvm uninstall ruby-1.9.2-p0 
 
$ rvm gemset create rails3 #创建一个名为rails3的gemset 
 
$ rvm gemset use rails3    #在当前Ruby下使用rails3这个gemset 
 
 
#或者直接使用这种命名,直接指定ruby和gemset的信息。   
$ rvm use ruby-1.9.2-p0@rails3
 
 
#设置默认 
$ rvm use ruby-1.9.2-p0@rails3 --default 
 
#选择使用ruby版本 
$ rvm default             
 
 
#列出当前Ruby版本下所有gemsets的信息
$ rvm gemset list 
 
 
#列出所有Ruby版本下所有gemsets的信息   
$ rvm gemset list_all 
 
#显示当前所使用的gemset信息 
nba买球,$ rvm gemset name
 
 
$ rvm gemdir                      #所在位置 
~/.rvm/gems/ruby-1.9.2-p0@rails3
 
 
$ rvm gemset delete rails3        #会让确认一次 
 
$ rvm --force gemset delete rails3 #直接删除,没有确定步骤 
 
$ rvm gemset empty rails3 
$ rvm --force gemset empty rails3  #直接删除,没有确定步骤 
 
$ rvm gemset export rails3.gems 
 
$ rvm gemset rails 3 
$ rvm gemset import rails3 
 
$ rvm gemset copy 1.8.7@rails3 1.9.2-head@rails3

一旦您熟悉脚本的内容,请执行此命令来安装最新的RVM稳定版本:

3、安装ruby

cat rvm.sh | bash -s stable

3.1、列出已知的ruby版本

脚本在您的主目录中创建一个名为.rvm的新目录。 这是Ruby及其所有相关组件的安装位置,以及用于安装Ruby的rvm可执行程序。 安装过程会修改您的.bashrc文件,将.rvm/bin文件夹添加到PATH环境变量中,以便您可以轻松地运行rvm命令。

[Truby@master ~]$ rvm list known
# MRI Rubies
[ruby-]1.8.6[-p420]
[ruby-]1.8.7[-head] # security released on head
[ruby-]1.9.1[-p431]
[ruby-]1.9.2[-p330]
[ruby-]1.9.3[-p551]
[ruby-]2.0.0[-p598]
[ruby-]2.1.4
[ruby-]2.1[.5]
[ruby-]2.1-head
ruby-head
。。。。。。

但是,rvm命令将无法在当前会话中访问。 所以执行这个命令来解决这个问题:

更多详情见请继续阅读下一页的精彩内容http://www.linuxidc.com/Linux/2014-11/109590p2.htm

source ~/.rvm/scripts/rvm

nba买球 2

现在使用rvm命令安装最新版本的Ruby:

rvm install ruby --default

此过程将下载并安装Ruby及其组件,并将此版本的Ruby作为系统将使用的默认版本。 如果您已经安装了一个版本的Ruby,这将避免冲突。

如果您缺少一些重要的先决条件,安装程序将获取这些先决条件并安装它们。 它可能会要求您输入密码。

Searching for binary rubies, this might take some time.
Found remote file https://rvm_io.global.ssl.fastly.net/binaries/ubuntu/16.04/x86_64/ruby-2.4.0.tar.bz2
Checking requirements for ubuntu.
Installing requirements for ubuntu.
Updating system....
Installing required packages: gawk, libssl-dev, zlib1g-dev, libyaml-dev, libsqlite3-dev, sqlite3, autoconf, libgmp-dev, libgdbm-dev, libncurses5-dev, automake, libtool, bison, libffi-dev, libgmp-dev, libreadline6-dev..................
Requirements installation successful.

本文由nba买球发布,转载请注明来源

关键词: